# Devices

A `Device` resource represents a Point-of-Sale terminal. Devices are used for [In-Person transactions](/guides/in-person-payments).

**Related Guides:**
- [In-Person Payments](/guides/in-person-payments)


## List Devices

 - [GET /devices](https://docs.finix.com/api/devices/listdevices.md): Retrieve a list of Devices. 

For details on how to query endpoints using the available parameters, see Query Parameters.

## Fetch a Device

 - [GET /devices/{device_id}](https://docs.finix.com/api/devices/getdevice.md): Retrieve the details of an existing Device.

## Update Device

 - [PUT /devices/{device_id}](https://docs.finix.com/api/devices/updatedevice.md): You can either update the configuration of a device or take an action on the device

Terminals must be online and connected to the network in order for the request to be successful.

You can initiate an action on a Device. Actions supported vary by gateway.

FINIX_V1 and DUMMY_V1 terminals support the following actions:
- ACTIVATE - Activate the device to enable processing
- DEACTIVATE - Deactivate the device to disable processing
- CANCEL - Cancel any active transaction and return to the idle screen

For processors other than FINIX_V1 and DUMMY_V1, contact your Finix point of contact or email Finix Support for device update instructions.

You can also use a PUT request to update the configuration, description, name, and serial_number of the Device.

## Check Device Connection

 - [GET /devices/{device_id_connection}](https://docs.finix.com/api/devices/getdeviceconnection.md): To check the connection of the Device, include ?include_connection=true at the end of the request endpoint.

## List Device Metrics

 - [GET /devices/{device_id}/device_metrics](https://docs.finix.com/api/devices/listdevicemetrics.md): Finix collects and analyzes data from payment devices and terminals to generate logs, known as Device Metric objects. Each Device Metric log provides insights into device health, network connectivity, and payment processing performance.

Use this endpoint to retrieve a device's Device Metric logs.

For details on how to query endpoints using the available parameters, see Query Parameters.

## Create a Merchant Device

 - [POST /merchants/{merchant_id}/devices](https://docs.finix.com/api/devices/createmerchantdevice.md): Create a Device under a Merchant.

